Name:           lzip
Version:        1.23
Release:        %mkrel 2
Summary:        Lossless file compressor based on the LZMA algorithm
Group:          Archiving/Compression
License:        GPLv3+
URL:            https://www.nongnu.org/lzip/lzip.html
Source0:        http://nongnu.askapache.com/lzip/%{name}-%{version}.tar.gz

%description
Lzip is a lossless file compressor based on the LZMA (Lempel-Ziv-Markov
chain-Algorithm) algorithm. The high compression of LZMA comes from
combining two basic, well-proven compression ideas: sliding dictionaries
(i.e. LZ77/78), and markov models (i.e. the thing used by every
compression algorithm that uses a range encoder or similar order-0
entropy coder as its last stage) with segregation of contexts according
to what the bits are used for.

Lzip is not a replacement for gzip or bzip2, but a complement; which
one is best to use depends on user's needs. Gzip is the fastest and most
widely used. Bzip2 compresses better than gzip but is slower, both
compressing and decompressing. Lzip decompresses almost as fast as gzip
and compresses better than bzip2, but requires more memory and time
during compression. These features make lzip well suited for software
distribution and data archival.


%prep
%setup -q

%build
%configure CXXFLAGS="%{optflags}" LDFLAGS="%{ldflags}"
%make_build

%install
%make_install

%files
%doc AUTHORS COPYING NEWS README ChangeLog
%{_bindir}/*
%{_infodir}/*
%{_mandir}/man1/*


%changelog
* Tue Mar 15 2022 umeabot <umeabot> 1.23-2.mga9
+ Revision: 1793873
- Mageia 9 Mass Rebuild

* Thu Feb 03 2022 luigiwalser <luigiwalser> 1.23-1.mga9
+ Revision: 1771229
- 1.23

* Wed Mar 10 2021 daviddavid <daviddavid> 1.22-1.mga9
+ Revision: 1701125
- new version: 1.22

* Wed Aug 19 2020 ovitters <ovitters> 1.21-3.mga8
+ Revision: 1616013
- remove install-info scriptlets, rely on filetrigger instead (mga#27107)

* Fri Feb 14 2020 umeabot <umeabot> 1.21-2.mga8
+ Revision: 1522017
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Jan 13 2019 daviddavid <daviddavid> 1.21-1.mga7
+ Revision: 1355865
- new version: 1.21

* Sun Sep 23 2018 umeabot <umeabot> 1.20-2.mga7
+ Revision: 1299422
- Mageia 7 Mass Rebuild

* Wed Apr 04 2018 kekepower <kekepower> 1.20-1.mga7
+ Revision: 1215177
- Update to version 1.20

* Wed May 10 2017 luigiwalser <luigiwalser> 1.19-1.mga6
+ Revision: 1099994
- 1.19

* Thu Feb 04 2016 umeabot <umeabot> 1.15-5.mga6
+ Revision: 935212
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.15-4.mga5
+ Revision: 745714
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.15-3.mga5
+ Revision: 682107
- Mageia 5 Mass Rebuild

* Mon Oct 21 2013 umeabot <umeabot> 1.15-2.mga4
+ Revision: 539104
- Mageia 4 Mass Rebuild

* Fri Oct 04 2013 sander85 <sander85> 1.15-1.mga4
+ Revision: 491428
- New version: 1.15

* Sun May 26 2013 blino <blino> 1.14-1.mga4
+ Revision: 428280
- 1.14

* Sat Jan 12 2013 umeabot <umeabot> 1.13-3.mga3
+ Revision: 359225
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Dec 02 2012 kamil <kamil> 1.13-2.mga3
+ Revision: 324596
- rebuild for Mga3 Beta1

* Mon May 28 2012 kamil <kamil> 1.13-1.mga3
+ Revision: 247697
- new version 1.13

* Wed Feb 22 2012 kamil <kamil> 1.12-2.mga3
+ Revision: 211797
- adapt .spec for Mageia
- imported package lzip


* Fri May 06 2011 Funda Wang <fwang@mandriva.org> 1.12-1mdv2011.0
+ Revision: 670631
- new version 1.12

* Fri Oct 01 2010 Funda Wang <fwang@mandriva.org> 1.11-1mdv2011.0
+ Revision: 582373
- new version 1.11

* Sun Jul 18 2010 Funda Wang <fwang@mandriva.org> 1.10-1mdv2011.0
+ Revision: 554850
- New version 1.10

* Mon Jan 18 2010 Frederik Himpe <fhimpe@mandriva.org> 1.9-1mdv2010.1
+ Revision: 493243
- update to new version 1.9
- Fix source URL

* Sat Jan 02 2010 Frederik Himpe <fhimpe@mandriva.org> 1.8-1mdv2010.1
+ Revision: 485125
- Update to new version 1.8
- Use Mandriva CFLAGS

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild

* Fri Mar 20 2009 Nicolas Vigier <nvigier@mandriva.com> 1.4-1mdv2009.1
+ Revision: 359079
- version 1.4

* Fri Oct 17 2008 Nicolas Vigier <nvigier@mandriva.com> 1.0-1mdv2009.1
+ Revision: 294708
- import lzip


